#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  FLAC-1.5.0

- Next

  gavl-1.4.0

- Up
- Home

# frei0r-plugins-1.8.0

## Introduction to Frei0r-plugins

Frei0r is a minimalistic plugin API for video effects. Note that the 0 in the name is a zero, not a capital letter o.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://files.dyne.org/frei0r/releases/frei0r-plugins-1.8.0.tar.gz

- Download MD5 sum: 45ffe53925ce0a90ce1d838c05e0a3c0

- Download size: 804 KB

- Estimated disk space required: 40 MB

- Estimated build time: 0.5 SBU

### Frei0r-plugins Dependencies

#### Recommended

gavl-1.4.0

#### Optional

Doxygen-1.13.2 and opencv-4.11.0

## Installation of Frei0r-plugins

Install Frei0r by running the following commands:

    mkdir -vp build &&
    cd        build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -W no-dev ..                 &&

    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-D WITHOUT_OPENCV=TRUE`: This option instructs the make procedure to disable building plugins dependent upon opencv.

`-D WITHOUT_GAVL=TRUE`: This option instructs the make procedure to disable building plugins dependent upon gavl.

## Contents

Installed Program: None
Installed Libraries: Over 130 video effects plugins
Installed Directories: /usr/lib/frei0r-1

- Prev

  FLAC-1.5.0

- Next

  gavl-1.4.0

- Up
- Home